[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Heads-up: Enabling generation of pkg-config requires




Just a heads-up, I'm (finally) enabling the generation of automatic pkg-config and libtool requires in rpm. Provides for these have been generated since first rpm 4.6.0 alpha hit rawhide, so with a bit of luck, all/most involved packages have been rebuilt since then and already have the needed provides for satisfying the new requires.

But if you see unsatisfied dependencies on pkgconfig(foo) and libtool(foo), request a rebuild of the dependant package, that's all it should take. Except if you happen to hit a big chain of pkg-config using packages that haven't been rebuilt in several months, or bugs in the dependency generation, or buggy pkg-config .pc files...

	- Panu -


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]